* {
    box-sizing: border-box;
    margin: 0;
    font-family: Lexend, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 400;
    line-height: 1.5;
}

a {
    text-decoration: none;
    color: inherit;
}

main {
    width: 100%;
    max-width: 672px;
    margin: 0 auto;
    padding: 64px 32px;
}

h1 {
    font-weight: 500;
    font-size: 36px;
    line-height: 40px;
}

h2 {
    font-size: inherit;
    font-weight: 500;
}

.subtitle {
    color: rgb(82, 82, 82);
    font-weight: 300;
    font-size: 18px;
    line-height: 28px;
}

.intro {
    margin-top: 8px;
}

.intro .tag {
    display: inline-flex;
    align-items: center;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 2px;
    text-decoration-color: #fddf8f;
    position: relative;
    padding-left: 24px;
    margin-left: 2px;
    margin-right: 2px;
}

.intro .tag:hover {
    opacity: 0.8;
}

.intro .tag img {
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0;
    user-select: none;
}

.project {
    display: block;
    margin-top: 32px;
}

.title-row {
    display: flex;
    align-items: center;
}

.tags {
    margin-left: 8px;
    display: flex;
    overflow-x: auto;
}

.tags span {
    background: rgb(245, 245, 245);
    border: solid 1px rgb(229, 229, 229);
    border-radius: 999px;
    color: rgb(82, 82, 82);
    font-size: 14px;
    line-height: 20px;
    padding: 2px 8px;
    white-space: nowrap;
}

.tags span+span {
    margin-left: 4px;
}

.project .description {
    color: rgb(82, 82, 82);
    font-weight: 300;
    font-size: 14px;
    line-height: 20px;
    margin-top: 4px;
}

.multi-images {
    display: flex;
    gap: 8px;
    margin-top: 16px;
}

.multi-images img {
    min-width: 0;
    max-width: 100%;
    height: auto;
    border: solid 1px rgb(229, 229, 229);
    border-radius: 6px;
    transition: transform 0.2s;
}

.project:hover .multi-images img:nth-child(1) {
    transform: scale(1.05) rotate(-2deg) translateX(-15px);
}

.project:hover .multi-images img:nth-child(2) {
    transform: scale(0.95) translateX(-5px);
}

.project:hover .multi-images img:nth-child(3) {
    transform: scale(1.05) rotate(2deg) translateX(15px);
}

.sb-banner {
    display: flex;
    align-items: center;
    gap: 16px;
    padding: 16px 32px;
    background: rgb(254, 249, 195);
    border: solid 1px rgb(250, 204, 21);
    border-radius: 6px;
    font-size: 14px;
    line-height: 20px;
    margin-top: 32px;
}

.sb-banner img {
    width: 32px;
    height: 32px;
}

.sb-banner strong {
    font-weight: 600;
}

.game {
    background: #262626;
    padding: 24px 8px;
    margin-top: 16px;
    border-radius: 8px;
    cursor: default;
    transition: transform 0.2s;
}


.game:hover {
    transform: scale(1.02);
}

.game svg path {
    fill: #404040;
    /*fill: #fbbf24;*/
    transition-duration: 200ms;
    stroke: #262626;
    stroke-width: 2px;
}

.split {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px;
    margin-top: 32px;
}

@media screen and (max-width: 580px) {
    .split {
        grid-template-columns: 1fr;
    }

    .arrow {
        display: none;
    }
}

.post {
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    border: solid 0.5px #ccc;
    padding: 12px 16px;
    border-radius: 8px;
    overflow: auto;
    transition: transform 0.2s;
}

.post:hover {
    transform: rotate(2deg) scale(1.05);
}

.post h2 {
    display: flex;
    align-items: center;
}

.post h2 img {
    width: 32px;
    height: 32px;
    margin-right: 8px;
    border-radius: 8px;
}

.post p {
    margin-top: 8px;
    font-size: 14px;
    line-height: 20px;
}

.post code {
    background: #242424;
    display: block;
    color: white;
    white-space: pre;
    overflow: auto;
    padding: 16px 16px 0;
    margin-top: 16px;
    font-size: 8px;
    border-radius: 8px;
    scrollbar-color: #464646 transparent;
    scrollbar-width: thin;
}

.post code span {
    font-family: monospace;
}

.npm h2 {
    display: flex;
    align-items: center;
}

.npm h2 img {
    width: 20px;
    height: 20px;
    margin-right: 6px;
}

.npm li {
    margin-top: 4px;
}

.npm li a:hover {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 2px;
}

.arrow {
    height: 120px;
    width: auto;
    margin-top: 32px;
    margin-left: 16px;
    user-select: none;
}

.map {
    height: 400px;
    background-image: url("images/map.png");
    background-size: cover;
    background-position: center;
    margin-top: 32px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.clouds {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url("images/clouds.png");
    background-size: cover;
    background-position: center;
}

.me {
    width: 80px;
    height: 80px;
    background-image: url("images/me.jpg");
    background-size: cover;
    background-position: center;
    border-radius: 50%;
    border: solid 5px white;
}

.location {
    position: absolute;
    bottom: 10px;
    right: 10px;
    background: white;
    padding: 4px 12px;
    border-radius: 999px;
    box-shadow: 0 1px 2px 0 rgb(0 0 0 / 0.05);
    color: rgb(82, 82, 82);
    display: flex;
    align-items: center;
    user-select: none;
}

.location svg {
    width: 16px;
    height: 16px;
    margin-right: 6px;
    color: #a3a3a3;
}

.contact {
    margin-top: 32px;
}

.contact .row {
    display: flex;
    margin-top: 16px;
}

.contact .row p:first-child {
    width: 128px;
    flex-shrink: 0;
    color: rgb(82, 82, 82);
    font-weight: 300;
}